Web lists-archives.com

Re: Printing packages




On Saturday 04 March 2017 19:53:39 Rodolfo Medina wrote:
> Cindy-Sue Causey <butterflybytes@xxxxxxxxx> writes:
> > On 3/4/17, Brian <ad44@xxxxxxxxxxxxxxx> wrote:
> >> On Sat 04 Mar 2017 at 18:18:03 +0000, Rodolfo Medina wrote:
> >>> In order to print, I used to do:
> >>>
> >>>  # aptitude install cupsys cupsys-bsd cupsys-client libcupsimage2
> >>> cups-driver-gutenprint cupsys-driver-gutenprint gs-esp
> >>>
> >>> , but now cupsys seems not to exist any more.  Please, what packages
> >>> now should
> >>> I install in place of those above?  I'm running Sid.
> >>
> >> cupsys disappeared many, many moons ago. You want
> >>
> >>   apt-get install cups
> >
> > Brian's answers are always wonderfully short. Yay, him! :D
> >
> > What I do for something like this (when I don't know something like
> > that cupsys is no longer) is I go down the line trying to install the
> > various packages by themselves, too. Sometimes (aka *not always*) that
> > will trigger my favored package manager to install the newer version
> > replacement as part of the dependency functions of the various package
> > installers...
> >
> > When that doesn't work, I regress to attempting a package manager
> > query using only outstanding pieces of the name (e.g. "gutenprint")
> > related to whatever package appears to no longer be available.
> >
> > AND/OR....
> >
> > Another angle of attack is to query for the "depends" and "rdepends"
> > (reverse depends) of any notable package names among the list I might
> > be trying to install. An example is that i just tried
> > "printer-driver-gutenprint":
> >
> > +++++++++++
> >
> > candycane@northpole:~$ apt-cache depends printer-driver-gutenprint
> > printer-driver-gutenprint
> >   Depends: libc6
> >   Depends: libcups2
> >   Depends: libcupsimage2
> >   Depends: libgutenprint2
> >   Depends: libusb-1.0-0
> >   Depends: cups
> >   Depends: cups-client
> >
> >  |Depends: cups-filters
> >
> >   Depends: <ghostscript-cups>
> >   Suggests: gutenprint-doc
> >   Suggests: gutenprint-locales
> >
> > candycane@northpole:~$ apt-cache rdepends printer-driver-gutenprint
> > printer-driver-gutenprint
> > Reverse Depends:
> >   gutenprint-doc
> >   printer-driver-all-enforce
> >   printer-driver-all
> >   cups
> >   parl-desktop-strict
> >   cups-daemon
> >
> > +++++++++++
> >
> > Just thinking out loud........ Most definitely not as succinctly as
> > Brian. *indubitably*
> >
> > Cindy :)
>
> Well, he only answered to my first question... ;-)
>
> thanks,
>
> Rodolfo

Why, since you are using aptitude, not keep things simple? You actually want 
to run CUPS, so <$ aptitude search cups>, then gulp and <$aptitude search 
cups | less.>, which will give you all the packages with cups in the name.

Or in Jessie, <$aptitude show cups>, but for that you need to know, or try 
guessing, that cups is a meta-package, which it may not be in Sid.  So start 
with aptitude search and read patiently through what it says.

Lisi